class disney.rabbitRivalry.ents.Yo extends disney.rabbitRivalry.ents.Entity
{
   var __doHoverDown;
   var __hoverLoc;
   var __targetLoc;
   var y;
   var nextY;
   var startY;
   var hdReg;
   var TYPE = "yo";
   var DRAWTYPE = "ents";
   var __DEF_ASSET = "yo_mc";
   var __DEF_WIDTH = 180;
   var __DEF_HEIGHT = 180;
   var __USE_ACTUAL_DIMENSIONS = true;
   var __DEF_HD_WIDTH = 80;
   var __DEF_HD_HEIGHT = 80;
   var __USE_DIMENSIONS_AS_HD = false;
   var __IDLE_ANIMATION = "idle";
   var __HIT_SFX = "bonk";
   var __USES_VELOCITY = false;
   var __HOVER_PEAK = 600;
   var __hoverRate = 140;
   function Yo(t_data)
   {
      super(t_data);
   }
   function init(t_data)
   {
      super.init(t_data);
      this.__doHoverDown = false;
      this.__hoverLoc = this.__HOVER_PEAK / 2;
      this.setNewTargetLoc();
      this.spawn();
   }
   function setNewTargetLoc()
   {
      this.__targetLoc = Math.floor(Math.random() * this.__HOVER_PEAK);
   }
   function update(dt)
   {
      super.update(dt);
      if(this.__doHoverDown)
      {
         this.__hoverLoc -= this.__hoverRate * dt;
         if(this.__hoverLoc <= 0)
         {
            this.__doHoverDown = false;
         }
      }
      else
      {
         this.__hoverLoc += this.__hoverRate * dt;
         if(this.__hoverLoc > this.__HOVER_PEAK)
         {
            this.__doHoverDown = true;
         }
      }
      this.y = this.nextY = this.startY - this.__hoverLoc;
   }
   function setHDRegistration()
   {
      this.hdReg = {};
      this.hdReg.x = 0;
      this.hdReg.y = 0;
   }
}
